package com.Game;

import android.graphics.drawable.Drawable;

import com.Game.Object;

class GameMenu extends Object
{
	private int mPointToStop;
	
	public GameMenu(Drawable drawable, Vector2D position, int heightStopConstant, int screenWidth, int screenHeight)
	{
		mImage 				= drawable;
		mPosition			= new Vector2D(position);
		mDimention			= new Vector2D(mImage.getIntrinsicWidth(), mImage.getIntrinsicHeight());
		mDimentionHalf		= new Vector2D(mDimention.x / 2, mDimention.y / 2);
		
		bIsAlive			= true;
		
		mScreenWidth 		= screenWidth;
		mScreenHeight 		= screenHeight;
		mScreenWidthHalf 	= mScreenWidth / 2;
		mScreenHeightHalf 	= mScreenHeight / 2;
		mScreenWidthQuater 	= mScreenWidthHalf / 2;
		mScreenHeightQuater = mScreenHeightHalf / 2;
		
		mPointToStop		= screenHeight / heightStopConstant;
	}
	
	void GameLoop(int ID, int fallSpeed)
	{
		if(mPosition.y < (mScreenHeightHalf - (ID * mPointToStop)))
			Fly(-fallSpeed);
	}
}